{{ define "title" }}
{{ .Site.Title }} | {{ .Title }} {{ end }}
{{ define "main" }}

{{- $files := .Resources.Match "section*.md" -}}
{{- $ContentSections := sort $files "Name" "asc" -}}
{{- $ContentLen := add (len $ContentSections) (cond (isset $.Params "summary") 1 0) -}}

<div id="loading-screen">
    <div id="loading-screen-middle">
        <img src="/prologin.png" alt="loading-icone" id="loading-icon"/>
    </div>
</div>

<div class="progress-bar"></div>
<div class="article-title-box">
    <h1 class="article-title">{{ .Title | markdownify }}</h1>
    <p class="article-subtitle">{{ .Params.Description | markdownify }}</p>

    {{ if isset .Params "code_stub_url" }}
    <a href="{{ .Params.code_stub_url }}" class="code-stub-button" download
        >Code à compléter</a
    >
    {{ end }}
</div>

<div id="article-container">
    {{ if (eq $.Params.toc "general") }}
        <aside id="toc" class="toc">
            <div class="toc-title">Table des matières</div>
            {{ range $i, $num := (seq $ContentLen) }}
            <div>
                {{- $replaceLink := printf "<summary class='toc-summary'><a $1 class='section-link' data-section=%d>$2</a></summary>" $i -}}
                {{- $toc := (index $ContentSections $i).TableOfContents -}}
                {{- $toc := replaceRE "<nav (.*)>[\n+ ]*<ul>[\n+ ]*<li>" "<nav $1>" $toc -}}
                {{- $toc := replaceRE "</li>[\n+ ]*</ul>[\n+ ]</nav>" "</nav>" $toc -}}
                {{- $toc := replaceRE "<a (.*)>(.*)</a>" $replaceLink $toc 1 -}}
                {{- $toc := replaceRE "<nav([^>]*)>" "<nav $1><details class='toc-details'>" $toc -}}
                {{- $toc := replaceRE "</nav>" "</details></nav>" $toc -}}
                {{- $toc := replaceRE "<ul"  (printf "<ul class='section-link' data-section=%d" $i) $toc -}}
                {{ safeHTML $toc }}
            </div>
            {{ end }}
        </aside>
    {{ end }}
    {{ range $i, $num := (seq $ContentLen) }}
        {{ if (index $ContentSections $i).Params.show_toc }}
        <aside id="toc-{{ $num }}" class="toc">
            <div class="toc-title">Table des matières</div>
            {{ (index $ContentSections $i).TableOfContents }}
        </aside>
        {{ end }}
        <article id="section-{{ $num }}" class="container">
            <a id="top"></a>
                {{ if (eq $num $ContentLen) }}
                    {{ with $.Params.summary }}
                    <h1>Pour résumer</h1>
                    <div class="article-summary">
                    {{ . | markdownify }}
                    </div>
                    {{ else }}
                    {{ (index $ContentSections $i).Content }}
                    {{ end }}
                <a id="go-back-button" onclick="setupConfettis()" href='{{ ref $.Page "/" }}'>Retour au Menu</a>

                {{ else }}
                {{ (index $ContentSections $i).Content }}
                {{ end }}
        </article>
    {{ end }}
</div>

<div class="section-button prev-button">
    <svg width="40px" height="40px" viewBox="0 0 80 80" xml:space="preserve">
        <polyline
            fill="none" stroke="#000000" stroke-width="10"
            stroke-linecap="round" stroke-linejoin="round"
            points="55,75 20,40 55,5 "
        />
    </svg>
</div>
<div class="section-button next-button">
    <svg width="40px" height="40px" viewBox="0 0 80 80" xml:space="preserve">
        <polyline
            fill="none" stroke="#000000" stroke-width="10"
            stroke-linecap="round" stroke-linejoin="round"
            points="25,75 60,40 25,5"
        />
    </svg>
</div>


<div id="imgzoom"></div>

{{- partial "footer_post.html" . -}}

<script src="/js/section_break.js" type="text/javascript"></script>

{{ end }}
